node package manager
We need your input. Help make JavaScript better: Take the 2017 JavaScript Ecosystem survey »

sails-hook-6to5

sails-hook-6to5

npm version Dependency Status

Needs at least Sails version 0.11.0 to work

Sails JS hook to activate ES6/7 Javascript code for your whole sails app, via https://6to5.org/.

Installation

npm install sails-hook-6to5

Usage

Just lift your app as normal, and enjoy the future of Javascript today. To see what is possible, see: https://6to5.org/docs/learn-es6/

Configuration

By default, configuration lives in sails.config.6to5. The configuration key (6to5) can be changed by setting sails.config.hooks['sails-hook-6to5'].configKey.

Parameter Type Details
compile ((boolean)) Whether or not sails should compile/allow ES6/7 code. Defaults to true.

That’s it!